Bug 406001 - rpm-build: strict (build-id) checking in /usr/lib/rpm/find-debuginfo.sh cannot be turned off
rpm-build: strict (build-id) checking in /usr/lib/rpm/find-debuginfo.sh canno...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 10:51 EST by Thierry Parmentelat
Modified: 2009-01-09 02:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
default value for strict checking : false (284 bytes, patch)
2007-11-30 10:51 EST, Thierry Parmentelat
no flags Details | Diff

  None (edit)
Description Thierry Parmentelat 2007-11-30 10:51:00 EST
Description of problem:
rpm-build: strict (build-id) checking in /usr/lib/rpm/find-debuginfo.sh cannot
be turned off

Version-Release number of selected component (if applicable):
[f8] /usr/lib/rpm # rpm -qf /usr/lib/rpm/find-debuginfo.sh
rpm-build-4.4.2.2-7.fc8

How reproducible:
always

Steps to Reproduce:
Please see detailed information below

Additional info:

I'm using rpmbuild on a fedora 8 system.
Some of our packages are not yet compliant with the new --build-id ld flag

My understanding is that the find-debuginfo.sh script was designed to have the
strict checking feature turned off by default, and had an option to turn it on.
But unfortunately it reads :

     28 # Barf on missing build IDs.
     29 # XXX temporarily on by default
     30 strict=true
     31

So there does not seem to be a simple way to turn it off, as we would like to,
even temporarily until we get all builds properly fixed (which btw would be
greatly simpler if gcc would understand --build-id)

I would expect, either that the default value would be set to false as the
comment suggests, or to have an option to turn strict checking off so I could use 
%__debug_install_post
to work around this issue

I believe the version of rpm-build that I'm using is the latest one

Thanks
Comment 1 Thierry Parmentelat 2007-11-30 10:51:00 EST
Created attachment 273941 [details]
default value for strict checking : false
Comment 2 Ville Skyttä 2007-11-30 11:44:43 EST
(In reply to comment #0)
> [f8] /usr/lib/rpm # rpm -qf /usr/lib/rpm/find-debuginfo.sh
> rpm-build-4.4.2.2-7.fc8

rpm-build is a subpackage of rpm, not rpmdevtools -> reassigning.
Comment 3 Panu Matilainen 2007-12-03 06:50:17 EST
Yup, the bits to control build-id behavior through
_missing_build_ids_terminate_build macro never made it to F8. Better late than
never of course...
Comment 4 Thierry Parmentelat 2007-12-03 08:20:25 EST
Hello

Does this mean that you plan on publishing a fixed version as part of the
standard f8 updates ? If so, what kind of timeframe would that be ?

I'm asking because we're kind of stuck here, and working around this problem by
our own means is likely to involve quite a few uggly and useless tricks ...

Thanks in advance -- Thierry
Comment 5 Bug Zapper 2008-11-26 03:46:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:29:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.